Bug 621543 - single broken plugin may render whole application useless
single broken plugin may render whole application useless
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kobo (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Mach
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 08:51 EDT by Marian Csontos
Modified: 2013-01-02 07:52 EST (History)
1 user (show)

See Also:
Fixed In Version: kobo-0.3.5-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-02 07:52:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
naive and untested patch (1.44 KB, patch)
2010-08-05 08:51 EDT, Marian Csontos
no flags Details | Diff

  None (edit)
Description Marian Csontos 2010-08-05 08:51:09 EDT
Created attachment 436835 [details]
naive and untested patch

Description of problem:

When using register_module, single broken plugin in module's directory will reject all plugins in that dir.

Though this could be handled on higher level, IMO it is against plugin philosophy and plugins should be handled more separately: single misbehaving plugin should not render other plugins useless.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:
- command line does not run

Expected results:
- warning is issued but commands provided by other plusing should still work

Additional info:
- https://bugzilla.redhat.com/show_bug.cgi?id=621522
- see beaker-client-0.5.52-1
Comment 1 Daniel Mach 2011-02-22 10:12:18 EST
http://git.fedorahosted.org/git/?p=kobo.git;a=commit;h=26dfec404d90c4f416e9c28d23936080cc150673

Hopefully a better patch than yours :)
Add skip_broken to register_module() to enable this feature.
Comment 2 Marian Csontos 2011-02-22 15:33:22 EST
Looks good. Thanks.

Note You need to log in before you can comment on or make changes to this bug.